package com.bigdata.wxappserver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("goods")
public class Goods extends Base {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 商品名称
     */
    private String goodName;
    /**
     * 商品价格
     */
    private BigDecimal goodPrice;
    /**
     * 商品库存
     */
    private Integer goodStock;
    /**
     * 商品图片路径
     */
    private String image;
    /**
     * 商品描述
     */
    private String goodDetail;

}
