package com.bigdata.wxappserver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("common_user")
public class User extends Base{
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 微信用户唯一ID
     */
    private String openId;
    /**
     * 用户电话
     */
    private String phone;
    /**
     * 用户名称
     */
    private String username;
    /**
     * 用户地址
     */
    private String address;

}
