package com.bigdata.wxappserver.controller;

import com.alibaba.fastjson.JSONObject;
import com.bigdata.wxappserver.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/08/28/20:28
 * @Description:
 */
@RestController
@RequestMapping("order")
public class OrderController {

    @Autowired
    OrderService orderService;

    @RequestMapping("addOrUpdate")
    public JSONObject addOrUpdate(@RequestBody JSONObject jsonObject){
        return orderService.addOrUpdate(jsonObject);
    }

    @RequestMapping("loadData")
    public JSONObject list(@RequestBody JSONObject jsonObject){
        return orderService.list(jsonObject);
    }

}
