package com.bigdata.wxappserver.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/08/28/20:22
 * @Description:
 */
@TableName("common_order")
@Data
public class Order extends Base {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer userId;
    private Integer goodsId;
    private String address;
    private LocalDateTime deliveryTime;

    /**
     * 订单状态 @see
     */
    private Integer status;
    @TableField(exist = false)
    private String statusDescription;
    /**
     * 购买数量
     */
    private Integer nums;


}
